Subject: Re: bug#20159: 24.4; url-retrieve invokes same callback twice with kill-buffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Mar 2015 22:22:31 +0300

> From: Andy Moreton <[email-masked]>
> Date: Fri, 27 Mar 2015 16:59:39 +0000
> 
> > No one volunteered, so I did it myself, see commit d133cf8 on master.
> 
> This change broke gnus for me on a mingw64 x64 build of emacs, as gnutls
> seems unable to connect to the NNTP server at gmane.org.

Sorry about that.  Does Gnus do something windows-specific for
connecting?  Perhaps that specific treatment relied on something that
is no longer true on Windows.

> I will report more details when I have time to investigate this further
> with gdb.

Thanks.  If you cannot figure it out, a recipe from "emacs -Q" will
help.  Bonus points if you can reproduce the problem with just a TLS
connection that doesn't need Gnus.